import { dispatchLoginAction } from '@/store/chatStore'
import { iUserMsg } from '@/types/userMsg'

const USER_MSG = 'USER_MSG'

export function setUserMsg(msg: iUserMsg) {
  dispatchLoginAction('login')
  localStorage.setItem(USER_MSG, JSON.stringify(msg))
}

export function getUserMsg(): iUserMsg | undefined {
  const value = localStorage.getItem(USER_MSG)
  return (value && JSON.parse(value)) || undefined
}

export function deleteUserMsg() {
  dispatchLoginAction('logout')
  localStorage.removeItem(USER_MSG)
}
